%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Tk-PathEntry
%define modv   3.05
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl/Tk path selection widget
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/W/WI/WITTROCK/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Klaus Wittrock
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Tk) >= 800.020
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl(Test)
BuildRequires: perl(Tk) >= 800.020
BuildArch:     noarch


%description
Tk::PathEntry is an entry widget for selecting paths with completion in
Perl/Tk. It provides an alternative to classic file selection dialogs and
works more like the file completion in modern shells like tcsh or bash.


%prep
%setup -q -n %{modn}-%{modv}

# Fix permissions
%{__chmod} a-x [A-Z]*

# Filter provides
%{__cat} << \_EOF_ >%{name}-prov
#!/bin/sh
%{__perl_provides} $* | \
	%{__sed} -e '/perl(Tk)/d'
_EOF_

%define __perl_provides %{_builddir}/%{modn}-%{modv}/%{name}-prov
%{__chmod} +x %{name}-prov


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
[ -n "${DISPLAY}" ] && %{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Thu Dec 02 2010 Peter Pramberger <peterpramb@member.fsf.org> - 3.05-1
- New version (3.05)

* Wed Feb 11 2009 Peter Pramberger <peterpramb@member.fsf.org> - 3.02-1
- New version (3.02)

* Thu May 22 2008 Peter Pramberger <peterpramb@member.fsf.org> - 3.00-1
- Initial build
